Bug 141193 - REGRESSION(r179538): It made 2 tests fail on ARM traditional
Summary: REGRESSION(r179538): It made 2 tests fail on ARM traditional
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 108645 141183
  Show dependency treegraph
 
Reported: 2015-02-02 23:27 PST by Csaba Osztrogonác
Modified: 2015-03-26 03:49 PDT (History)
3 users (show)

See Also:


Attachments
fails (724.68 KB, text/plain)
2015-02-02 23:27 PST, Csaba Osztrogonác
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2015-02-02 23:27:27 PST
Created attachment 245928 [details]
fails

** The following JSC stress test failures have been introduced:
	jsc-layout-tests.yaml/js/script-tests/dfg-inline-arguments-out-of-bounds.js.layout
	jsc-layout-tests.yaml/js/script-tests/dfg-inline-arguments-out-of-bounds.js.layout-dfg-eager-no-cjit
	jsc-layout-tests.yaml/js/script-tests/dfg-inline-arguments-out-of-bounds.js.layout-no-cjit
	jsc-layout-tests.yaml/js/script-tests/dfg-inline-arguments-out-of-bounds.js.layout-no-llint
	stress/get-my-argument-by-val-inlined-no-formal-parameters.js.always-trigger-copy-phase
	stress/get-my-argument-by-val-inlined-no-formal-parameters.js.default
	stress/get-my-argument-by-val-inlined-no-formal-parameters.js.dfg-eager
	stress/get-my-argument-by-val-inlined-no-formal-parameters.js.dfg-eager-no-cjit-validate
	stress/get-my-argument-by-val-inlined-no-formal-parameters.js.no-cjit-validate-phases
	stress/get-my-argument-by-val-inlined-no-formal-parameters.js.no-llint

Results for JSC stress tests:
    10 failures found.

Detailed fail log is attached.
Comment 1 Csaba Osztrogonác 2015-02-06 05:04:39 PST
I started to debug this issue, these tests fail only if DFG JIT 
is enabled, they pass with JSC_useDFGJIT=0 environment variable set,
so the bug is somewhere in DFG JIT.
Comment 2 Csaba Osztrogonác 2015-02-09 03:15:40 PST
It would be great to have a working disassembler for ARM traditional too
to be able debug this bug easily: bug123717
Comment 3 Csaba Osztrogonác 2015-03-24 05:03:13 PDT
This regression will gone away once the monumental patch in bug141174 landed.
Comment 4 Csaba Osztrogonác 2015-03-26 03:49:38 PDT
After bug141174 fixed the traditional bot became green.